<script setup lang="ts">
import { useSocketStore } from "@/stores/socket";
import { onMounted } from "vue";

onMounted(() => {
  useSocketStore();
});
</script>

<template>
	<div id="azay-admin-app">
		<router-view v-slot="{ Component }">
			<transition>
				<component :is="Component" />
			</transition>
		</router-view>
	</div>
</template>

<style scoped>
</style>
